package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.MonDevDlReal;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 设备数据-电力-实时 保存设备的实时数据对象 mon_dev_dl_real
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据-电力-实时 保存设备的实时数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonDevDlRealQuery extends PageQuery
{

    @ApiModelProperty(value = "数据ID")
    private Long dataId;
    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;
    @ApiModelProperty(value = "设备ID")
    private String deviceId;
    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;
    @ApiModelProperty(value = "数据时间")
    private String dataTime;
    @ApiModelProperty(value = "湿法脱硫_增压风机状态")
    private Long g101;
    @ApiModelProperty(value = "湿法脱硫_增压风机电流 单位: A")
    private String g102;
    @ApiModelProperty(value = "湿法脱硫_浆液循环泵电流 单位: A")
    private String g104;
    @ApiModelProperty(value = "湿法脱硫_浆液泵状态 单位: 1=运行，0=停止")
    private Long g109;
    @ApiModelProperty(value = "湿法脱硫_脱硫吸收硫塔（或浆液池）内浆液密度 单位: kg/m3")
    private String g115;
    @ApiModelProperty(value = "湿法脱硫_FGD 入口SO2信号 单位: mg/m3")
    private String g119;
    @ApiModelProperty(value = "湿法脱硫_FGD 入口 NOX信号 单位: mg/m3")
    private String g120;
    @ApiModelProperty(value = "湿法脱硫_FGD 入口 O2信号 单位: %")
    private String g121;
    @ApiModelProperty(value = "湿法脱硫_FGD 入口 O2信号 单位: %")
    private String g122;
    @ApiModelProperty(value = "湿法脱硫_FGD 单位: ℃")
    private String g123;
    @ApiModelProperty(value = "湿法脱硫_FGD 入口烟尘信号 单位: mg/m3")
    private String g124;
    @ApiModelProperty(value = "湿法脱硫_FGD 入口压力信号 单位: kpa")
    private String g125;
    @ApiModelProperty(value = "湿法脱硫_FGD 入口湿度信号 单位: %")
    private String g126;
    @ApiModelProperty(value = "湿法脱硫_FGD 出口SO2信号 单位: mg/m3")
    private String g127;
    @ApiModelProperty(value = "湿法脱硫_FGD 出口 NOX信号 单位: mg/m3")
    private String g128;
    @ApiModelProperty(value = "湿法脱硫_FGD 出口 O2信号 单位: %")
    private String g129;
    @ApiModelProperty(value = "湿法脱硫_FGD 出口流量信号 单位: m3/h")
    private String g130;
    @ApiModelProperty(value = "湿法脱硫_FGD 出口温度信号 单位: ℃")
    private String g131;
    @ApiModelProperty(value = "湿法脱硫_FGD 出口烟尘信号 单位: mg/m3")
    private String g132;
    @ApiModelProperty(value = "湿法脱硫_FGD 出口压力信号 单位: kpa")
    private String g133;
    @ApiModelProperty(value = "湿法脱硫_FGD 出口湿度信号 单位: %")
    private String g134;
    @ApiModelProperty(value = "湿法脱硫_浆液泵电流 单位: A")
    private String g136;
    @ApiModelProperty(value = "湿法脱硫_氧化风机状态")
    private Long g138;
    @ApiModelProperty(value = "湿法脱硫_氧化风机电流 单位: A")
    private String g139;
    @ApiModelProperty(value = "湿法脱硫_脱硫吸收硫塔（或浆液池） 单位: N6.2")
    private String g141;
    @ApiModelProperty(value = "半干法脱硫_脱硫塔内喷水泵电流 单位: %")
    private String g201;
    @ApiModelProperty(value = "半干法脱硫_脱硫剂输送装置电流 单位: %")
    private String g202;
    @ApiModelProperty(value = "半干法脱硫_FGD 入口SO2信号 单位: mg/m3")
    private String g213;
    @ApiModelProperty(value = "半干法脱硫_FGD 入口NOX信号 单位: mg/m3")
    private String g214;
    @ApiModelProperty(value = "半干法脱硫_FGD 入口O2信号 单位: %")
    private String g215;
    @ApiModelProperty(value = "半干法脱硫_FGD 入口流量信号 单位: m3/h")
    private String g216;
    @ApiModelProperty(value = "半干法脱硫_FGD 入口温度信号 单位: ℃")
    private String g217;
    @ApiModelProperty(value = "半干法脱硫_FGD 入口烟尘信号 单位: mg/m3")
    private String g218;
    @ApiModelProperty(value = "半干法脱硫_FGD 入口压力信号 单位: kpa")
    private String g219;
    @ApiModelProperty(value = "半干法脱硫_FGD 入口湿度信号 单位: %")
    private String g220;
    @ApiModelProperty(value = "半干法脱硫_FGD 出口SO2信号 单位: mg/m3")
    private String g221;
    @ApiModelProperty(value = "半干法脱硫_FGD 出口NOX信号 单位: mg/m3")
    private String g222;
    @ApiModelProperty(value = "半干法脱硫_FGD 出口O2信号 单位: %")
    private String g223;
    @ApiModelProperty(value = "半干法脱硫_FGD 出口流量信号 单位: m3/h")
    private String g224;
    @ApiModelProperty(value = "半干法脱硫_FGD 出口温度信号 单位: ℃")
    private String g225;
    @ApiModelProperty(value = "半干法脱硫_FGD 出口烟尘信号 单位: mg/m3")
    private String g226;
    @ApiModelProperty(value = "半干法脱硫_FGD 出口压力信号 单位: kpa")
    private String g227;
    @ApiModelProperty(value = "半干法脱硫_FGD 出口湿度信号 单位: %")
    private String g228;
    @ApiModelProperty(value = "脱硝_氨喷射系统电流 单位: A")
    private String g301;
    @ApiModelProperty(value = "脱硝_稀释风机状态 单位: 1=运行，0=停止")
    private Long g302;
    @ApiModelProperty(value = "脱硝_稀释风机电流 单位: A")
    private String g303;
    @ApiModelProperty(value = "脱硝_氨泵风机状态 单位: 1=运行，0=停止")
    private String g304;
    @ApiModelProperty(value = "脱硝_氨泵风机电流 单位: A")
    private String g305;
    @ApiModelProperty(value = "脱硝_旁路挡板状态 单位: 1=运行，0=停止")
    private String g306;
    @ApiModelProperty(value = "脱硝_旁路挡板开度 单位: %")
    private String g307;
    @ApiModelProperty(value = "脱硝_旁路挡板左右压差 单位: kpa")
    private String g308;
    @ApiModelProperty(value = "脱硝_尿素溶液流量 单位: m3/h")
    private String g309;
    @ApiModelProperty(value = "脱硝_喷枪运行状态 单位: 1=运行，0=停止")
    private String g310;
    @ApiModelProperty(value = "脱硝_尿素循环泵状态 单位: 1=运行，0=停止")
    private String g311;
    @ApiModelProperty(value = "脱硝_尿素循环泵电流 单位: 安[培]")
    private String g312;
    @ApiModelProperty(value = "脱硝_入口NOX 单位: mg/m3")
    private String g315;
    @ApiModelProperty(value = "脱硝_入口O2百分比 单位: %")
    private String g316;
    @ApiModelProperty(value = "脱硝_入口温度 单位: ℃")
    private String g317;
    @ApiModelProperty(value = "脱硝_入口压力 单位: kpa")
    private String g318;
    @ApiModelProperty(value = "脱硝_入口流量 单位: m3/h")
    private String g319;
    @ApiModelProperty(value = "脱硝_入口湿度 单位: %")
    private String g320;
    @ApiModelProperty(value = "脱硝_入口NH3 单位: mg/m3")
    private String g321;
    @ApiModelProperty(value = "脱硝_出口NOX 单位: mg/m3")
    private String g322;
    @ApiModelProperty(value = "脱硝_出口O2百分比 单位: %")
    private String g323;
    @ApiModelProperty(value = "脱硝_出口温度 单位: ℃")
    private String g324;
    @ApiModelProperty(value = "脱硝_出口压力 单位: kpa")
    private String g325;
    @ApiModelProperty(value = "脱硝_出口流量 单位: m3/h")
    private String g326;
    @ApiModelProperty(value = "脱硝_出口湿度 单位: %")
    private String g327;
    @ApiModelProperty(value = "脱硝_出口NH3 单位: mg/m3")
    private String g328;
    @ApiModelProperty(value = "静电除尘器_一次电压 单位: V")
    private String g501;
    @ApiModelProperty(value = "静电除尘器_一次电流 单位: A")
    private String g502;
    @ApiModelProperty(value = "袋式除尘器_进口温度 单位: ℃")
    private String g602;
    @ApiModelProperty(value = "氨法脱硫_吸收塔供氨流量 单位: m3/h")
    private String g705;
    @ApiModelProperty(value = "锅炉_锅炉燃料综合量 单位: t/h")
    private String g903;
    @ApiModelProperty(value = "锅炉_锅炉机组锅炉MFT信号（锅炉主燃料跳闸）无量纲 单位: N1")
    private String g904;
    @ApiModelProperty(value = "锅炉_引风机状态")
    private Long g905;
    @ApiModelProperty(value = "锅炉_引风机电流 单位: A")
    private String g906;
    @ApiModelProperty(value = "锅炉_机组负荷（有功功率） 单位: MW")
    private String g947;
    @ApiModelProperty(value = "干法脱硫_FGD 出口SO2信号 单位: mg/m3")
    private String gb00;
    @ApiModelProperty(value = "干法脱硫_FGD 出口NOX信号 单位: mg/m3")
    private String gb01;
    @ApiModelProperty(value = "干法脱硫_FGD 出口O2信号 单位: %")
    private String gb02;
    @ApiModelProperty(value = "干法脱硫_FGD 出口流量信号 单位: m3/h")
    private String gb03;
    @ApiModelProperty(value = "干法脱硫_FGD 出口温度信号 单位: ℃")
    private String gb04;
    @ApiModelProperty(value = "干法脱硫_FGD 出口烟尘信号 单位: mg/m3")
    private String gb05;
    @ApiModelProperty(value = "干法脱硫_FGD 出口压力信号 单位: kpa")
    private String gb06;
    @ApiModelProperty(value = "干法脱硫_FGD 出口湿度信号 单位: %")
    private String gb07;
    @ApiModelProperty(value = "干法脱硫_脱硫剂或吸附剂喷入量 单位: kg/h")
    private String gb08;
    @ApiModelProperty(value = "半干法脱硫_脱硫剂使用量 单位: %")
    private String gb09;
    @ApiModelProperty(value = "发机侧气轮机功率 单位: MW")
    private String hq100;
    @ApiModelProperty(value = "锅炉侧锅炉氧含量 单位: %")
    private String hs100;
    @ApiModelProperty(value = "发机侧锅炉蒸发量 单位: m3/h")
    private String hs101;
    @ApiModelProperty(value = "布袋除尘器前后压差 单位: Pa")
    private String hz100;
    @ApiModelProperty(value = "电除尘器二次电流 单位: A")
    private String hz101;
    @ApiModelProperty(value = "电除尘器二次电压 单位: V")
    private String hz102;
    @ApiModelProperty(value = "脱硫吸收剂pH值")
    private String hz103;
    @ApiModelProperty(value = "脱硫供浆流量 单位: m3/h")
    private String hz105;
    @ApiModelProperty(value = "脱硫供料流量 单位: kg/h")
    private String hz106;
    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 单位: 1=运行，0=停止")
    private Long hz107;
    @ApiModelProperty(value = "脱硝还原剂用量 单位: m3/h")
    private String hz108;
    @ApiModelProperty(value = "燃气轮机_燃气轮机功率 单位: MW")
    private String p103;
    @ApiModelProperty(value = "附加参数 JSON。格式类似：{pmIn:{02:12,03:23},...}")
    private String addiParam;
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "浆液循环泵状态")
    private String g103;
    @ApiModelProperty(value = "脱硫剂输送装置信号")
    private String g203;
    @ApiModelProperty(value = "脱硫塔温度")
    private String g204;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<MonDevDlReal> createLambdaQueryWrapper(MonDevDlRealQuery query) {
        QueryWrapper<MonDevDlReal> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getDataId()), "data_id", query.getDataId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeviceId()), "device_id", query.getDeviceId());
        wrapper.eq(ObjectUtil.isNotNull(query.getTimeType()), "time_type", query.getTimeType());
        wrapper.eq(ObjectUtil.isNotNull(query.getDataTime()), "data_time", query.getDataTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getG101()), "g101", query.getG101());
        wrapper.eq(ObjectUtil.isNotNull(query.getG102()), "g102", query.getG102());
        wrapper.eq(ObjectUtil.isNotNull(query.getG104()), "g104", query.getG104());
        wrapper.eq(ObjectUtil.isNotNull(query.getG109()), "g109", query.getG109());
        wrapper.eq(ObjectUtil.isNotNull(query.getG115()), "g115", query.getG115());
        wrapper.eq(ObjectUtil.isNotNull(query.getG119()), "g119", query.getG119());
        wrapper.eq(ObjectUtil.isNotNull(query.getG120()), "g120", query.getG120());
        wrapper.eq(ObjectUtil.isNotNull(query.getG121()), "g121", query.getG121());
        wrapper.eq(ObjectUtil.isNotNull(query.getG122()), "g122", query.getG122());
        wrapper.eq(ObjectUtil.isNotNull(query.getG123()), "g123", query.getG123());
        wrapper.eq(ObjectUtil.isNotNull(query.getG124()), "g124", query.getG124());
        wrapper.eq(ObjectUtil.isNotNull(query.getG125()), "g125", query.getG125());
        wrapper.eq(ObjectUtil.isNotNull(query.getG126()), "g126", query.getG126());
        wrapper.eq(ObjectUtil.isNotNull(query.getG127()), "g127", query.getG127());
        wrapper.eq(ObjectUtil.isNotNull(query.getG128()), "g128", query.getG128());
        wrapper.eq(ObjectUtil.isNotNull(query.getG129()), "g129", query.getG129());
        wrapper.eq(ObjectUtil.isNotNull(query.getG130()), "g130", query.getG130());
        wrapper.eq(ObjectUtil.isNotNull(query.getG131()), "g131", query.getG131());
        wrapper.eq(ObjectUtil.isNotNull(query.getG132()), "g132", query.getG132());
        wrapper.eq(ObjectUtil.isNotNull(query.getG133()), "g133", query.getG133());
        wrapper.eq(ObjectUtil.isNotNull(query.getG134()), "g134", query.getG134());
        wrapper.eq(ObjectUtil.isNotNull(query.getG136()), "g136", query.getG136());
        wrapper.eq(ObjectUtil.isNotNull(query.getG138()), "g138", query.getG138());
        wrapper.eq(ObjectUtil.isNotNull(query.getG139()), "g139", query.getG139());
        wrapper.eq(ObjectUtil.isNotNull(query.getG141()), "g141", query.getG141());
        wrapper.eq(ObjectUtil.isNotNull(query.getG201()), "g201", query.getG201());
        wrapper.eq(ObjectUtil.isNotNull(query.getG202()), "g202", query.getG202());
        wrapper.eq(ObjectUtil.isNotNull(query.getG213()), "g213", query.getG213());
        wrapper.eq(ObjectUtil.isNotNull(query.getG214()), "g214", query.getG214());
        wrapper.eq(ObjectUtil.isNotNull(query.getG215()), "g215", query.getG215());
        wrapper.eq(ObjectUtil.isNotNull(query.getG216()), "g216", query.getG216());
        wrapper.eq(ObjectUtil.isNotNull(query.getG217()), "g217", query.getG217());
        wrapper.eq(ObjectUtil.isNotNull(query.getG218()), "g218", query.getG218());
        wrapper.eq(ObjectUtil.isNotNull(query.getG219()), "g219", query.getG219());
        wrapper.eq(ObjectUtil.isNotNull(query.getG220()), "g220", query.getG220());
        wrapper.eq(ObjectUtil.isNotNull(query.getG221()), "g221", query.getG221());
        wrapper.eq(ObjectUtil.isNotNull(query.getG222()), "g222", query.getG222());
        wrapper.eq(ObjectUtil.isNotNull(query.getG223()), "g223", query.getG223());
        wrapper.eq(ObjectUtil.isNotNull(query.getG224()), "g224", query.getG224());
        wrapper.eq(ObjectUtil.isNotNull(query.getG225()), "g225", query.getG225());
        wrapper.eq(ObjectUtil.isNotNull(query.getG226()), "g226", query.getG226());
        wrapper.eq(ObjectUtil.isNotNull(query.getG227()), "g227", query.getG227());
        wrapper.eq(ObjectUtil.isNotNull(query.getG228()), "g228", query.getG228());
        wrapper.eq(ObjectUtil.isNotNull(query.getG301()), "g301", query.getG301());
        wrapper.eq(ObjectUtil.isNotNull(query.getG302()), "g302", query.getG302());
        wrapper.eq(ObjectUtil.isNotNull(query.getG303()), "g303", query.getG303());
        wrapper.eq(ObjectUtil.isNotNull(query.getG304()), "g304", query.getG304());
        wrapper.eq(ObjectUtil.isNotNull(query.getG305()), "g305", query.getG305());
        wrapper.eq(ObjectUtil.isNotNull(query.getG306()), "g306", query.getG306());
        wrapper.eq(ObjectUtil.isNotNull(query.getG307()), "g307", query.getG307());
        wrapper.eq(ObjectUtil.isNotNull(query.getG308()), "g308", query.getG308());
        wrapper.eq(ObjectUtil.isNotNull(query.getG309()), "g309", query.getG309());
        wrapper.eq(ObjectUtil.isNotNull(query.getG310()), "g310", query.getG310());
        wrapper.eq(ObjectUtil.isNotNull(query.getG311()), "g311", query.getG311());
        wrapper.eq(ObjectUtil.isNotNull(query.getG312()), "g312", query.getG312());
        wrapper.eq(ObjectUtil.isNotNull(query.getG315()), "g315", query.getG315());
        wrapper.eq(ObjectUtil.isNotNull(query.getG316()), "g316", query.getG316());
        wrapper.eq(ObjectUtil.isNotNull(query.getG317()), "g317", query.getG317());
        wrapper.eq(ObjectUtil.isNotNull(query.getG318()), "g318", query.getG318());
        wrapper.eq(ObjectUtil.isNotNull(query.getG319()), "g319", query.getG319());
        wrapper.eq(ObjectUtil.isNotNull(query.getG320()), "g320", query.getG320());
        wrapper.eq(ObjectUtil.isNotNull(query.getG321()), "g321", query.getG321());
        wrapper.eq(ObjectUtil.isNotNull(query.getG322()), "g322", query.getG322());
        wrapper.eq(ObjectUtil.isNotNull(query.getG323()), "g323", query.getG323());
        wrapper.eq(ObjectUtil.isNotNull(query.getG324()), "g324", query.getG324());
        wrapper.eq(ObjectUtil.isNotNull(query.getG325()), "g325", query.getG325());
        wrapper.eq(ObjectUtil.isNotNull(query.getG326()), "g326", query.getG326());
        wrapper.eq(ObjectUtil.isNotNull(query.getG327()), "g327", query.getG327());
        wrapper.eq(ObjectUtil.isNotNull(query.getG328()), "g328", query.getG328());
        wrapper.eq(ObjectUtil.isNotNull(query.getG501()), "g501", query.getG501());
        wrapper.eq(ObjectUtil.isNotNull(query.getG502()), "g502", query.getG502());
        wrapper.eq(ObjectUtil.isNotNull(query.getG602()), "g602", query.getG602());
        wrapper.eq(ObjectUtil.isNotNull(query.getG705()), "g705", query.getG705());
        wrapper.eq(ObjectUtil.isNotNull(query.getG903()), "g903", query.getG903());
        wrapper.eq(ObjectUtil.isNotNull(query.getG904()), "g904", query.getG904());
        wrapper.eq(ObjectUtil.isNotNull(query.getG905()), "g905", query.getG905());
        wrapper.eq(ObjectUtil.isNotNull(query.getG906()), "g906", query.getG906());
        wrapper.eq(ObjectUtil.isNotNull(query.getG947()), "g947", query.getG947());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb00()), "gb00", query.getGb00());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb01()), "gb01", query.getGb01());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb02()), "gb02", query.getGb02());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb03()), "gb03", query.getGb03());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb04()), "gb04", query.getGb04());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb05()), "gb05", query.getGb05());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb06()), "gb06", query.getGb06());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb07()), "gb07", query.getGb07());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb08()), "gb08", query.getGb08());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb09()), "gb09", query.getGb09());
        wrapper.eq(ObjectUtil.isNotNull(query.getHq100()), "hq100", query.getHq100());
        wrapper.eq(ObjectUtil.isNotNull(query.getHs100()), "hs100", query.getHs100());
        wrapper.eq(ObjectUtil.isNotNull(query.getHs101()), "hs101", query.getHs101());
        wrapper.eq(ObjectUtil.isNotNull(query.getHz100()), "hz100", query.getHz100());
        wrapper.eq(ObjectUtil.isNotNull(query.getHz101()), "hz101", query.getHz101());
        wrapper.eq(ObjectUtil.isNotNull(query.getHz102()), "hz102", query.getHz102());
        wrapper.eq(ObjectUtil.isNotNull(query.getHz103()), "hz103", query.getHz103());
        wrapper.eq(ObjectUtil.isNotNull(query.getHz105()), "hz105", query.getHz105());
        wrapper.eq(ObjectUtil.isNotNull(query.getHz106()), "hz106", query.getHz106());
        wrapper.eq(ObjectUtil.isNotNull(query.getHz107()), "hz107", query.getHz107());
        wrapper.eq(ObjectUtil.isNotNull(query.getHz108()), "hz108", query.getHz108());
        wrapper.eq(ObjectUtil.isNotNull(query.getP103()), "P103", query.getP103());
        wrapper.eq(ObjectUtil.isNotNull(query.getAddiParam()), "addi_param", query.getAddiParam());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getG103()), "g103", query.getG103());
        wrapper.eq(ObjectUtil.isNotNull(query.getG203()), "g203", query.getG203());
        wrapper.eq(ObjectUtil.isNotNull(query.getG204()), "g204", query.getG204());
        return wrapper;
        }
}
